> For the complete documentation index, see [llms.txt](https://aliniex.gitbook.io/alix-pay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://aliniex.gitbook.io/alix-pay/api-reference/alix-card-api/user/get-account-kyc-information.md).

# Get Account KYC Information

<mark style="color:green;">`GET`</mark> /api/v2/cards/get-kyc-information

This API allows you to get the submitted document of an user

**Headers**

| Param        | Value                                                                                                                   |
| ------------ | ----------------------------------------------------------------------------------------------------------------------- |
| access-token | It is accessToken  has returned from the [api Access Token](/alix-pay/api-reference/alix-card-api/auth/access-token.md) |

**Response**&#x20;

{% tabs %}
{% tab title="200" %}

```json

{
    "success": true,
    "message": "Your request has been successful",
    "data": {
        "firstName": "{{first_name}}",
        "lastName": "{{last_name}}",
        "dateOfBirth": "{{DOB}}",
        "gender": "{{gender}}",
        "nationality": "{{nationality}}",
        "idType": "{{idType}}",
        "naitonalId": "{{nationalId}}",
        "issueDate": "{{issueDate}}",
        "expiryDate": "{{expiryDate}}",
        "address": "{{address}}",
        "frontIdImage": "{{frontIdImage}}",
        "backIdImage": "{{backIdImage}}",
        "holdIdImage": "{{holdIdImage}}",
        "phoneNumber": "{{phoneNumber}}",
        "phoneCountryCode": "{{phoneCountryCode}}",
        "kycStatus": "{{kycStatus}}",
        "rejectReason": "..."
    },
    "errorCode": 0
}

```

{% endtab %}

{% tab title="400" %}

<pre class="language-json"><code class="lang-json">{
    "success": false,
    "message": "The QR code is invalid. Please check and try again",
    "data": null,
    "errorCode": 32
}
<strong>
</strong>
</code></pre>

{% endtab %}
{% endtabs %}

**Description of Response Data**&#x20;

Description

<table><thead><tr><th width="212.65625">Name</th><th width="82">Type</th><th>Value</th></tr></thead><tbody><tr><td>firstName</td><td>string</td><td>first name</td></tr><tr><td>lastName</td><td>string</td><td>last name</td></tr><tr><td>dateOfBirth</td><td>string</td><td>date of birth in the format YYYY-MM-DD</td></tr><tr><td>gender</td><td>string</td><td>Male or Female</td></tr><tr><td>nationality</td><td>string</td><td>nationality, e.g., "US", "VN" or "CN"</td></tr><tr><td>idType</td><td>string</td><td>"PASSPORT" or "ID_CARD"</td></tr><tr><td>nationalId</td><td>string</td><td>The id of document ( ID national card number or passport number)</td></tr><tr><td>issueDate</td><td>string</td><td>The date when the ID was issued, formatted as YYYY-MM-DD</td></tr><tr><td>expiryDate</td><td>string</td><td>The date when the ID expires, formatted as YYYY-MM-DD</td></tr><tr><td>addressLine1</td><td>string</td><td>address 1</td></tr><tr><td>addressLine2</td><td>string</td><td>address 2</td></tr><tr><td>frontUrl</td><td>string</td><td>Image on the front of the document as base64 string</td></tr><tr><td>backUrl</td><td>string</td><td>Image on the back of the document as base64 string</td></tr><tr><td>holdUrl</td><td>string</td><td>Image on the hand hold of the document as base64 string</td></tr><tr><td>phoneNumber</td><td>string</td><td>phoneNumber</td></tr><tr><td>phoneCountryCode</td><td>string</td><td>phoneCountryCode</td></tr><tr><td>city</td><td>string</td><td></td></tr><tr><td>state</td><td>string</td><td></td></tr><tr><td>zipCode</td><td>string</td><td></td></tr><tr><td>kycStatus</td><td>string</td><td></td></tr><tr><td>rejectReason</td><td>string</td><td><strong>Sample Output:</strong> <br><code>MATCH_MULTIPLE_ACCOUNTS | Một giấy tờ dùng cho nhiều tài khoản | Multiple accounts detected.</code></td></tr></tbody></table>

#### Kyc statuses

* NONE&#x20;
* PROGRESSING
* SUBMITTED
* VERIFIED
* REJECTED

#### Rejection reasons

{% hint style="info" %}
We have standardized KYC rejection cases into codes and standard messages as shown below
{% endhint %}

```json
[
  "IMG_FRONT_INVALID | Ảnh mặt trước giấy tờ không hợp lệ | Front side photo invalid.",
  "IMG_BACK_INVALID | Ảnh mặt sau giấy tờ không hợp lệ | Back side photo invalid.",
  "IMG_SELFIE_INVALID | Ảnh selfie không hợp lệ | Invalid selfie photo.",
  "IMG_GLARE_BLUR | Ảnh bị lóa sáng hoặc mờ | Photo has glare or blur.",
  "IMG_CROPPED | Ảnh bị cắt xén, thiếu thông tin | Cropped or incomplete document photo.",
  "IMG_LIVENESS_FAILED | Thất bại kiểm tra liveness | Liveness check failed.",

  "DOC_EXPIRED | Giấy tờ đã hết hạn | Document expired.",
  "DOC_UNSUPPORTED_TYPE | Loại giấy tờ không được chấp nhận | Unsupported document type.",
  "DOC_TAMPERED | Giấy tờ có dấu hiệu chỉnh sửa | Document tampered.",
  "DOC_SECURITY_FEATURES_MISSING | Thiếu đặc điểm bảo mật | Security features missing.",
  "DOC_MISSING_REQUIRED | Thiếu giấy tờ bắt buộc | Missing required document(s).",

  "MATCH_DOC_INFO_MISMATCH | Thông tin giấy tờ không khớp với khai báo | Document info mismatch.",
  "MATCH_FACE_MISMATCH | Ảnh khuôn mặt không khớp (selfie vs. giấy tờ) | Face mismatch.",
  "MATCH_MULTIPLE_ACCOUNTS | Một giấy tờ dùng cho nhiều tài khoản | Multiple accounts detected.",
  "MATCH_BLACKLISTED_ID | Giấy tờ trong danh sách cảnh báo | Blacklisted identity.",
  "MATCH_AGE_OUT_OF_RANGE | Độ tuổi ngoài phạm vi cho phép (18–65) | Age out of allowed range (18–65).",

  "SYS_UPLOAD_CORRUPTED | File tải lên bị lỗi | Upload file corrupted.",
  "SYS_FORMAT_UNSUPPORTED | Định dạng file không hỗ trợ | Unsupported file format.",
  "SYS_EXTRACTION_FAILED | Không trích xuất được dữ liệu (OCR fail) | Data extraction failed.",
  "SYS_TIMEOUT | Hệ thống quá thời gian xử lý | Network or system timeout.",

  "FRAUD_DOCUMENT | Giấy tờ giả mạo | Fraudulent document detected.",
  "FRAUD_IMPERSONATION | Giả mạo danh tính | Impersonation detected.",

  "GENERIC | Lỗi không xác định hoặc chưa phân loại | Unspecified rejection reason."
];
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://aliniex.gitbook.io/alix-pay/api-reference/alix-card-api/user/get-account-kyc-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
